curl --request GET \
--url https://dev.intermezzo.ai/germany/wage-types \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": 123,
"wageTypeNumber": 123,
"name": "<string>",
"isTotalGrossComponent": true,
"componentType": "gross_earning",
"taxTreatment": "recurring_wage",
"taxCertificateLineItem": "<string>",
"socialSecurityTreatment": "recurring_wage",
"isSvRelevantComponent": true,
"isReimbursableAag": true,
"isAccidentInsuranceRelevant": true,
"isGlComponent": true,
"isAverageEarningsComponent": true,
"garnishmentTreatment": "full",
"isMinimumWageComponent": true,
"validFrom": "2023-12-25",
"validTo": "2023-12-25"
}
],
"pagination": {
"limit": 123,
"hasNext": false,
"hasPrev": false,
"nextCursor": "<string>",
"prevCursor": "<string>",
"total": 0
}
}Get paginated list of German wage types
curl --request GET \
--url https://dev.intermezzo.ai/germany/wage-types \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": 123,
"wageTypeNumber": 123,
"name": "<string>",
"isTotalGrossComponent": true,
"componentType": "gross_earning",
"taxTreatment": "recurring_wage",
"taxCertificateLineItem": "<string>",
"socialSecurityTreatment": "recurring_wage",
"isSvRelevantComponent": true,
"isReimbursableAag": true,
"isAccidentInsuranceRelevant": true,
"isGlComponent": true,
"isAverageEarningsComponent": true,
"garnishmentTreatment": "full",
"isMinimumWageComponent": true,
"validFrom": "2023-12-25",
"validTo": "2023-12-25"
}
],
"pagination": {
"limit": 123,
"hasNext": false,
"hasPrev": false,
"nextCursor": "<string>",
"prevCursor": "<string>",
"total": 0
}
}Get token from Auth0 and paste it here
1 <= x <= 100Was this page helpful?